function onTalk()
	local location = ""
	local hasgolden = getFlag("flag_golden")
	if arguments and type(arguments) == 'string' then
		location = arguments
	end
	if hasgolden == true then
		wait(0.2)
		teleport(232, 152, "GymHub")
		endCutscene()
	end
	disableMovement()
	choiceDialog({
	{
		"Violet_HardlistGyms_Close",
		onChosen = function()
				closeChoiceDialog()
		end
	},
	{
		"Violet_HardlistGyms_Hub",
		onChosen = function ()
				teleport(232, 152, "GymHub")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Pause_loc_0",
		requires =
		function ()
			if location == "Pause_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-300, 96, "Labbing")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Pause_loc_1",
		function ()
			if location == "Pause_1" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-100, 96, "Labbing")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Pause_loc_2",
		function ()
			if location == "Pause_2" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(0, 96, "Labbing")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Pause_loc_3",
		function ()
			if location == "Pause_3" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-100, 96, "Labbing2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
